gnutls_x509_trust_list_add_trust_mem(3)

NAME
gnutls_x509_trust_list_add_trust_mem - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_trust_list_add_trust_mem(gnutls_x509_trust_list_t list, const gnutls_datum_t * cas, const gnutls_datum_t * crls, gnutls_x509_crt_fmt_t type, unsigned int tl_flags, unsigned int tl_vflags);

ARGUMENTS

gnutls_x509_trust_list_t list
    The list

const gnutls_datum_t * cas
    A buffer containing a list of CAs (optional)

const gnutls_datum_t * crls
    A buffer containing a list of CRLs (optional)

gnutls_x509_crt_fmt_t type
    The format of the certificates

unsigned int tl_flags
    flags from gnutls_trust_list_flags_t

unsigned int tl_vflags
    gnutls_certificate_verify_flags if flags specifies GNUTLS_TL_VERIFY_CRL

DESCRIPTION
This function will add the given certificate authorities to the trusted list. If this function is used gnutls_x509_trust_list_deinit() must be called with parameter all being 1.

RETURNS
The number of added elements is returned.

SINCE
3.1

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/